﻿@model IEnumerable<PhoneBook_LDAP.Models.Users>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/_LayoutPage.cshtml";

    var grid = new WebGrid(source: Model,
               //defaultSort: "Number",
               rowsPerPage: 50);
}

<style>
    .Grid_Act {
        width: 100px;
        min-width: 100px;
    }

    .Grid_EditData {
        width: 40%;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .Grid_EditData_text {
        width: 100%;
    }


    .Grid_Number {
        max-width: 100px;
        width: 10%;
    }
</style>

<h2>Telefon kitabçası - editor</h2>


<div class="card">
    <div class="card-body">
        @using (Html.BeginForm(null, null, FormMethod.Get, new { id = "FrmFilter" }))
        {
            <!--id="FrmFilter"-->
            <div class="input-group">
                <div class="col-sm-2">
                    @Html.Label("Ad və nömrə: ", "Ad və nömrə:", htmlAttributes: new { @class = "control-label" })
                </div>
                <div class="col-sm-10">
                    @Html.TextBox("SeacrhFor", null, htmlAttributes: new { @class = "form-control", @placeholder = "Ad və nömrə" })
                </div>
            </div>

            @Html.Hidden("Page", 1)


            <div class="input-group">
                <div class="col-sm-offset-2 col-sm-2">
                    <!--<button class="btn btn-info" type="button" id="addressSearch" onclick="location.href='_Xxx Url.Action("Show", "Home")'">Filterlə</button>-->
                    <input id="BtnFrmFilter" class="btn btn-info " type="submit" value="Filterlə" />
                </div>
                <div class="col-sm-8">
                    <blockquote class="blockquote mb-0">
                        <small><em>* Ad və nömrəyə görə</em></small>
                    </blockquote>
                </div>
                <!--<div class="col-sm-1">
                    <button class="ExportExcel btn btn-info btn-block">Fayli upload et</button>
                </div> -->
            </div>

        }
    </div>
</div>


<!---->
<div class="panel panel-default">
    <div class="panel-body">
        <div id="grid" class="table-responsive">
            @grid.GetHtml(
             tableStyle: "table table-striped",
             headerStyle: "table table-striped",
             //alternatingRowStyle: "alt",
             columns: grid.Columns(grid.Column("Action", format: @<text>
                <button class="edit-change display-mode btn btn-default">Edit</button>
                <button class="save-change-Phones edit-mode btn btn-primary">Save</button>
                <button class="cancel-change edit-mode btn btn-info">Cancel</button>
            </text>, style: "Grid_Act", canSort: false),
     grid.Column(null, null, format: @<input type="hidden" id="lblUserName" value=@item.UserName />
     ),


     grid.Column("DisplayName", "A.S.A.", format: @<text>
        <span class="display-mode"> <label id="lblDisplayName">@item.DisplayName</label></span>
        <input type="text" id="DisplayName" value="@item.DisplayName" class="edit-mode Grid_EditData_text form-control" /> </text>,
      style: "Grid_EditData_text"),

                      grid.Column("Phone", "Nömrə", format: @<text>
                        <label id="lblPhone">@item.Phone</label>
                    </text>,
          style: "Grid_Number")

    )
    )
        </div>
    </div>
</div>

<div style="margin: auto; width: 35%; ">@Html.Partial("_Pager")</div>